# intervals

[![Build Status](https://www.travis-ci.com/T-Oner/intervals.svg?branch=main)](https://travis-ci.com/github/T-Oner/intervals)

This library provides data structure and operations for intervals in Dart.

## Installation

Depend on it

Run this command:

With Dart:

```shell
dart pub add intervals
```

```yaml
dependencies:
  intervals: ^0.1.0
```

## Feature

- `Interval` - The interval data structure.
- `IntervalSet` - The interval merging.
- `Interval & Interval` - The interval intersection calculation
- `Interval | Interval` - The interval union calculation

## Examples

- [Simple example](./example/main.dart) - Api example.